GDB (xrefs)

Classes | Functions
/tmp/gdb-8.1/gdb/cli-out.h File Reference
`#include "ui-out.h"`
`#include <vector>`

Go to the source code of this file.

## Classes
class | cli_ui_out

## Functions
cli_ui_out * | cli_out_new (struct ui_file *stream)
void | cli_display_match_list (char **matches, int len, int max)

## Function Documentation

## ◆ cli_display_match_list()

void cli_display_match_list | ( | char ** | matches,
|  | int | len,
|  | int | max
| ) |  |

Definition at line 361 of file cli-out.c.

References match_list_displayer::beep, cli_mld_beep(), cli_mld_crlf(), cli_mld_erase_entire_line(), cli_mld_flush(), cli_mld_putch(), cli_mld_puts(), cli_mld_read_key(), match_list_displayer::crlf, match_list_displayer::erase_entire_line, match_list_displayer::flush, gdb_display_match_list(), match_list_displayer::height, match_list_displayer::putch, match_list_displayer::puts, match_list_displayer::read_key, and match_list_displayer::width.

Referenced by init_main().

## ◆ cli_out_new()

cli_ui_out* cli_out_new | ( | struct ui_file * | stream | ) |

Definition at line 281 of file cli-out.c.

References ui_source_list.

Referenced by cli_interp::cli_interp(), mi_interp::init(), and tui_initialize_io().